Bug 105237 - [maintainer-update] lang/sketchy
Summary: [maintainer-update] lang/sketchy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-07 10:30 UTC by Nils M Holm
Modified: 2006-11-08 16:30 UTC (History)
0 users

See Also:


Attachments
file.diff (9.12 KB, patch)
2006-11-07 10:30 UTC, Nils M Holm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nils M Holm 2006-11-07 10:30:23 UTC
Update to 2006-11-07.
Major update, see Changes file.
Comment 1 Rong-En Fan freebsd_committer 2006-11-07 13:03:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 2 Rong-En Fan freebsd_committer 2006-11-07 13:05:18 UTC
On Tue, Nov 07, 2006 at 11:28:34AM +0100, Nils M Holm wrote:
> diff -ru lang/sketchy-old/Makefile lang/sketchy/Makefile
> --- lang/sketchy-old/Makefile	Tue Oct 31 09:06:14 2006
> +++ lang/sketchy/Makefile	Tue Nov  7 11:25:13 2006
> @@ -6,12 +6,15 @@
>  #
>  
>  PORTNAME=	sketchy
> -PORTVERSION=	20061023
> +PORTVERSION=	20061107
>  CATEGORIES=	lang devel lisp scheme
>  MASTER_SITES=	http://www.t3x.org/files/
>  
>  MAINTAINER=	nmh@t3x.org
>  COMMENT=	An interpreter for purely applicative Scheme
> +
> +# Please /do/ keep this!
> +USE_REINPLACE=	yes
>  
>  USE_LDCONFIG=	yes
>  MAKE_ENV+=	BINOWN=${BINOWN} \


Could you please give me reasons why we need this?

Regards,
Rong-En fan
Comment 3 Nils M Holm 2006-11-08 08:21:44 UTC
Hi,

On Wed, Nov 08, 2006 at 03:50:45PM +0800, Rong-En Fan wrote:
> It does not build:
> 
> http://www.rafan.org/tb/errors/6-FreeBSD/sketchy-20061107.log
> awk version problem?

yes, indeed. GNU awk is the default on 4.9. I finally threw it
out and linked nawk to awk. The port should build now. New diff
follows below.

I have also removed USE_REINPLACE. Will put it into make.conf.
Thanks for the hint!

Regards, Nils

>Fix:
diff -ru lang/sketchy-old/Makefile lang/sketchy/Makefile
--- lang/sketchy-old/Makefile	Tue Oct 31 09:06:14 2006
+++ lang/sketchy/Makefile	Wed Nov  8 09:18:14 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	sketchy
-PORTVERSION=	20061023
+PORTVERSION=	20061108
 CATEGORIES=	lang devel lisp scheme
 MASTER_SITES=	http://www.t3x.org/files/
 
diff -ru lang/sketchy-old/distinfo lang/sketchy/distinfo
--- lang/sketchy-old/distinfo	Tue Oct 31 09:06:14 2006
+++ lang/sketchy/distinfo	Wed Nov  8 09:18:14 2006
@@ -1,3 +1,3 @@
-MD5 (sketchy-20061023.tar.gz) = dcefff1e4d05af466ac36fc39020b49e
-SIZE (sketchy-20061023.tar.gz) = 170657
-SHA256 (sketchy-20061023.tar.gz) = f38a6e2875e5083eda24c69493aaa902222f0142db32a89a901575519687498c
+MD5 (sketchy-20061108.tar.gz) = 86a5f3200f0c3656b7d64efa4661bd5e
+SIZE (sketchy-20061108.tar.gz) = 182229
+SHA256 (sketchy-20061108.tar.gz) = 4da6ed06b4a51a0172c9029c4147ddb44ea1f75cb9dd171299aab4b715d8df5b
diff -ru lang/sketchy-old/pkg-plist lang/sketchy/pkg-plist
--- lang/sketchy-old/pkg-plist	Tue Oct 31 09:06:14 2006
+++ lang/sketchy/pkg-plist	Wed Nov  8 09:18:14 2006
@@ -3,8 +3,42 @@
 include/sketchy.h
 lib/libsketchy.a
 lib/libsketchy.so
-lib/libsketchy.so.22
+lib/libsketchy.so.24
 %%DATADIR%%/LICENSE
+%%DATADIR%%/ext/assp.scm
+%%DATADIR%%/ext/count.scm
+%%DATADIR%%/ext/depth.scm
+%%DATADIR%%/ext/exists.scm
+%%DATADIR%%/ext/explode.scm
+%%DATADIR%%/ext/factorial.scm
+%%DATADIR%%/ext/filter.scm
+%%DATADIR%%/ext/forall.scm
+%%DATADIR%%/ext/headp.scm
+%%DATADIR%%/ext/id.scm
+%%DATADIR%%/ext/implode.scm
+%%DATADIR%%/ext/intersection.scm
+%%DATADIR%%/ext/iota.scm
+%%DATADIR%%/ext/last.scm
+%%DATADIR%%/ext/map-cdr.scm
+%%DATADIR%%/ext/memp.scm
+%%DATADIR%%/ext/not-equalp.scm
+%%DATADIR%%/ext/orderedp.scm
+%%DATADIR%%/ext/pair.scm
+%%DATADIR%%/ext/permute.scm
+%%DATADIR%%/ext/product.scm
+%%DATADIR%%/ext/qsort.scm
+%%DATADIR%%/ext/read-line.scm
+%%DATADIR%%/ext/remove.scm
+%%DATADIR%%/ext/remp.scm
+%%DATADIR%%/ext/remq.scm
+%%DATADIR%%/ext/remv.scm
+%%DATADIR%%/ext/replace.scm
+%%DATADIR%%/ext/sketchy-ext.scm
+%%DATADIR%%/ext/substitute.scm
+%%DATADIR%%/ext/sum.scm
+%%DATADIR%%/ext/tailp.scm
+%%DATADIR%%/ext/union.scm
+%%DATADIR%%/ext/unique.scm
 %%DATADIR%%/lib/abs.scm
 %%DATADIR%%/lib/append.scm
 %%DATADIR%%/lib/assoc.scm
@@ -26,6 +60,7 @@
 %%DATADIR%%/lib/caaaar.scm
 %%DATADIR%%/lib/caaar.scm
 %%DATADIR%%/lib/caar.scm
+%%DATADIR%%/lib/case.scm
 %%DATADIR%%/lib/ceqp.scm
 %%DATADIR%%/lib/cgep.scm
 %%DATADIR%%/lib/cgtp.scm
@@ -38,10 +73,11 @@
 %%DATADIR%%/lib/eqvp.scm
 %%DATADIR%%/lib/evenp.scm
 %%DATADIR%%/lib/expt.scm
+%%DATADIR%%/lib/fold-left.scm
+%%DATADIR%%/lib/fold-right.scm
 %%DATADIR%%/lib/gcd.scm
 %%DATADIR%%/lib/greater.scm
 %%DATADIR%%/lib/gteq.scm
-%%DATADIR%%/lib/id.scm
 %%DATADIR%%/lib/if.scm
 %%DATADIR%%/lib/integer.scm
 %%DATADIR%%/lib/integerp.scm
@@ -54,6 +90,7 @@
 %%DATADIR%%/lib/list.scm
 %%DATADIR%%/lib/listp.scm
 %%DATADIR%%/lib/lteq.scm
+%%DATADIR%%/lib/map-car.scm
 %%DATADIR%%/lib/map.scm
 %%DATADIR%%/lib/max.scm
 %%DATADIR%%/lib/member.scm
@@ -87,10 +124,9 @@
 %%DATADIR%%/lib/oddp.scm
 %%DATADIR%%/lib/plus.scm
 %%DATADIR%%/lib/positivep.scm
+%%DATADIR%%/lib/pred-iter.scm
 %%DATADIR%%/lib/pred.scm
 %%DATADIR%%/lib/quotient.scm
-%%DATADIR%%/lib/reduce.scm
-%%DATADIR%%/lib/reduce-r.scm
 %%DATADIR%%/lib/remainder.scm
 %%DATADIR%%/lib/reverse.scm
 %%DATADIR%%/lib/s-append.scm
@@ -116,53 +152,25 @@
 %%DATADIR%%/lib/zerop.scm
 %%DATADIR%%/sketchy.image
 %%DATADIR%%/src/amk.scm
-%%DATADIR%%/src/anyp.scm
 %%DATADIR%%/src/bottles.scm
 %%DATADIR%%/src/bubblesort.scm
-%%DATADIR%%/src/count.scm
 %%DATADIR%%/src/date.scm
-%%DATADIR%%/src/depth.scm
 %%DATADIR%%/src/draw-tree.scm
 %%DATADIR%%/src/evaluate.scm
-%%DATADIR%%/src/everyp.scm
-%%DATADIR%%/src/explode.scm
-%%DATADIR%%/src/fact.scm
 %%DATADIR%%/src/factors.scm
-%%DATADIR%%/src/filter.scm
 %%DATADIR%%/src/gen-bottles.scm
 %%DATADIR%%/src/hanoi.scm
-%%DATADIR%%/src/headp.scm
 %%DATADIR%%/src/hyper.scm
-%%DATADIR%%/src/implode.scm
 %%DATADIR%%/src/infix.scm
 %%DATADIR%%/src/insert.scm
-%%DATADIR%%/src/intersection.scm
-%%DATADIR%%/src/iota.scm
 %%DATADIR%%/src/isort.scm
-%%DATADIR%%/src/last.scm
 %%DATADIR%%/src/lvrename.scm
-%%DATADIR%%/src/maplist.scm
-%%DATADIR%%/src/not-equalp.scm
-%%DATADIR%%/src/orderedp.scm
-%%DATADIR%%/src/pair.scm
-%%DATADIR%%/src/permute.scm
+%%DATADIR%%/src/pp.scm
 %%DATADIR%%/src/prefix.scm
-%%DATADIR%%/src/product.scm
 %%DATADIR%%/src/prolog.scm
-%%DATADIR%%/src/qsort.scm
 %%DATADIR%%/src/queens.scm
-%%DATADIR%%/src/read-line.scm
-%%DATADIR%%/src/remove.scm
 %%DATADIR%%/src/scmtocps.scm
-%%DATADIR%%/src/sketchy-ext.scm
-%%DATADIR%%/src/some.scm
-%%DATADIR%%/src/sublist.scm
-%%DATADIR%%/src/subst.scm
-%%DATADIR%%/src/sum.scm
-%%DATADIR%%/src/tailp.scm
 %%DATADIR%%/src/tree.scm
-%%DATADIR%%/src/union.scm
-%%DATADIR%%/src/unique.scm
 %%DATADIR%%/src/unlet.scm
 %%DATADIR%%/src/unsort.scm
 %%DATADIR%%/src/vqueens.scm
@@ -171,6 +179,7 @@
 %%DOCSDIR%%/library/abs.html
 %%DOCSDIR%%/library/append.html
 %%DOCSDIR%%/library/assoc.html
+%%DOCSDIR%%/library/assp.html
 %%DOCSDIR%%/library/assq.html
 %%DOCSDIR%%/library/assv.html
 %%DOCSDIR%%/library/booleanp.html
@@ -189,26 +198,41 @@
 %%DOCSDIR%%/library/caaaar.html
 %%DOCSDIR%%/library/caaar.html
 %%DOCSDIR%%/library/caar.html
+%%DOCSDIR%%/library/case.html
 %%DOCSDIR%%/library/ceqp.html
 %%DOCSDIR%%/library/cgep.html
 %%DOCSDIR%%/library/cgtp.html
 %%DOCSDIR%%/library/clep.html
 %%DOCSDIR%%/library/cltp.html
+%%DOCSDIR%%/library/count.html
+%%DOCSDIR%%/library/depth.html
 %%DOCSDIR%%/library/digits.html
 %%DOCSDIR%%/library/divide.html
 %%DOCSDIR%%/library/equal.html
 %%DOCSDIR%%/library/equalp.html
 %%DOCSDIR%%/library/eqvp.html
 %%DOCSDIR%%/library/evenp.html
+%%DOCSDIR%%/library/exists.html
+%%DOCSDIR%%/library/explode.html
 %%DOCSDIR%%/library/expt.html
+%%DOCSDIR%%/library/factorial.html
+%%DOCSDIR%%/library/filter.html
+%%DOCSDIR%%/library/fold-left.html
+%%DOCSDIR%%/library/fold-right.html
+%%DOCSDIR%%/library/forall.html
 %%DOCSDIR%%/library/gcd.html
 %%DOCSDIR%%/library/greater.html
 %%DOCSDIR%%/library/gteq.html
+%%DOCSDIR%%/library/headp.html
 %%DOCSDIR%%/library/id.html
 %%DOCSDIR%%/library/if.html
+%%DOCSDIR%%/library/implode.html
 %%DOCSDIR%%/library/index.html
 %%DOCSDIR%%/library/integer.html
 %%DOCSDIR%%/library/integerp.html
+%%DOCSDIR%%/library/intersection.html
+%%DOCSDIR%%/library/iota.html
+%%DOCSDIR%%/library/last.html
 %%DOCSDIR%%/library/lcm.html
 %%DOCSDIR%%/library/length.html
 %%DOCSDIR%%/library/less.html
@@ -218,9 +242,12 @@
 %%DOCSDIR%%/library/list.html
 %%DOCSDIR%%/library/listp.html
 %%DOCSDIR%%/library/lteq.html
+%%DOCSDIR%%/library/map-car.html
+%%DOCSDIR%%/library/map-cdr.html
 %%DOCSDIR%%/library/map.html
 %%DOCSDIR%%/library/max.html
 %%DOCSDIR%%/library/member.html
+%%DOCSDIR%%/library/memp.html
 %%DOCSDIR%%/library/memq.html
 %%DOCSDIR%%/library/memv.html
 %%DOCSDIR%%/library/min.html
@@ -241,6 +268,7 @@
 %%DOCSDIR%%/library/nminus.html
 %%DOCSDIR%%/library/non-negativep.html
 %%DOCSDIR%%/library/normalize.html
+%%DOCSDIR%%/library/not-equalp.html
 %%DOCSDIR%%/library/not.html
 %%DOCSDIR%%/library/nplus.html
 %%DOCSDIR%%/library/nquotient.html
@@ -249,13 +277,23 @@
 %%DOCSDIR%%/library/nullp.html
 %%DOCSDIR%%/library/numtostr.html
 %%DOCSDIR%%/library/oddp.html
+%%DOCSDIR%%/library/orderedp.html
+%%DOCSDIR%%/library/pair.html
+%%DOCSDIR%%/library/permute.html
 %%DOCSDIR%%/library/plus.html
 %%DOCSDIR%%/library/positivep.html
+%%DOCSDIR%%/library/pred-iter.html
 %%DOCSDIR%%/library/pred.html
+%%DOCSDIR%%/library/product.html
+%%DOCSDIR%%/library/qsort.html
 %%DOCSDIR%%/library/quotient.html
-%%DOCSDIR%%/library/reduce.html
-%%DOCSDIR%%/library/reduce-r.html
+%%DOCSDIR%%/library/read-line.html
 %%DOCSDIR%%/library/remainder.html
+%%DOCSDIR%%/library/remove.html
+%%DOCSDIR%%/library/remp.html
+%%DOCSDIR%%/library/remq.html
+%%DOCSDIR%%/library/remv.html
+%%DOCSDIR%%/library/replace.html
 %%DOCSDIR%%/library/reverse.html
 %%DOCSDIR%%/library/s-append.html
 %%DOCSDIR%%/library/s-cieqp.html
@@ -273,25 +311,27 @@
 %%DOCSDIR%%/library/sqrt.html
 %%DOCSDIR%%/library/string.html
 %%DOCSDIR%%/library/strtonum.html
+%%DOCSDIR%%/library/substitute.html
 %%DOCSDIR%%/library/substring.html
 %%DOCSDIR%%/library/succ.html
+%%DOCSDIR%%/library/sum.html
+%%DOCSDIR%%/library/tailp.html
 %%DOCSDIR%%/library/times.html
+%%DOCSDIR%%/library/union.html
+%%DOCSDIR%%/library/unique.html
 %%DOCSDIR%%/library/zerop.html
 %%DOCSDIR%%/license.html
 %%DOCSDIR%%/ndx2.html
 %%DOCSDIR%%/prog/amk.html
 %%DOCSDIR%%/prog/bottles.html
 %%DOCSDIR%%/prog/draw-tree.html
-%%DOCSDIR%%/prog/fact.html
 %%DOCSDIR%%/prog/factors.html
 %%DOCSDIR%%/prog/hyper.html
 %%DOCSDIR%%/prog/infix.html
-%%DOCSDIR%%/prog/permute.html
+%%DOCSDIR%%/prog/pp.html
 %%DOCSDIR%%/prog/prefix.html
 %%DOCSDIR%%/prog/prolog.html
-%%DOCSDIR%%/prog/qsort.html
 %%DOCSDIR%%/prog/queens.html
-%%DOCSDIR%%/prog/read-line.html
 %%DOCSDIR%%/prog/scmtocps.html
 %%DOCSDIR%%/prog/zebra.html
 %%DOCSDIR%%/progs.html
@@ -308,6 +348,7 @@
 %%DOCSDIR%%/sk11.html
 %%DOCSDIR%%/toc2-x.html
 %%DOCSDIR%%/toc2.html
+@dirrm %%DATADIR%%/ext
 @dirrm %%DATADIR%%/lib
 @dirrm %%DATADIR%%/src
 @dirrm %%DATADIR%%

-- 
Nils M Holm <nmh@t3x.org> -- http://t3x.org/nmh/
Comment 4 Rong-En Fan freebsd_committer 2006-11-08 16:25:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2006-11-08 16:25:29 UTC
rafan       2006-11-08 16:24:26 UTC

  FreeBSD ports repository

  Modified files:
    lang/sketchy         Makefile distinfo pkg-plist 
  Log:
  - Update to 20061108
  - Add conflicts with devel/p5-PAR for bin/pp
  
  PR:             ports/105237
  Submitted by:   Nils M Holm (maintainer)
  
  Revision  Changes    Path
  1.16      +3 -1      ports/lang/sketchy/Makefile
  1.16      +3 -3      ports/lang/sketchy/distinfo
  1.13      +81 -39    ports/lang/sketchy/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"